
Redmine - Feature #12656

make commit keywords and issue ratio configurable for each tracker

2012-12-20 13:16 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Problem:

The tracker "Tasks" includes simple tasks. These tasks should be "closed" when committing "fixes #1234" for example.

The tracker "Features" includes an advanced workflow. These tasks should be set to "ready for review" when the developer

commited "fixes #1234".

Maybe you can make this configurable for each tracker?

Another solution: If there were more than one keyword and an assigned issue status configurable this would help, too.

Example:

"assign" => status "assigned".

"reviewready, ready" => status "ready for review"

"closes, fixes" => status "closed".

and so on...

btw: great work, thanks a lot!

Related issues:

Related to Redmine - Defect #12879: using commit keyword to update issue's st... New

Is duplicate of Redmine - Feature #7590: Different commit Keywords for each t... Closed 2011-02-09

History

#1 - 2012-12-25 10:20 - Toshi MARUYAMA

- Category changed from Administration to SCM

#2 - 2013-10-05 11:58 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #7590.

Another solution: If there were more than one keyword and an assigned issue status configurable this would help, too.

 This is added for 2.4.0 (see #4911).

#3 - 2013-10-05 11:58 - Jean-Philippe Lang

- Is duplicate of Feature #7590: Different commit Keywords for each tracker added
